CppUnit project page | FAQ | CppUnit home page

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Functions
FloatingPoint.h File Reference
`#include <cppunit/Portability.h>`
`#include <math.h>`
Include dependency graph for FloatingPoint.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions
CPPUNIT_NS_BEGIN bool | floatingPointIsUnordered (double x)
| Tests if a floating-point is a NaN.
int | floatingPointIsFinite (double x)
| Tests if a floating-point is finite.

## Function Documentation

int floatingPointIsFinite | ( | double | x | ) | `[inline]`

Tests if a floating-point is finite.

Returns:
  `true` if x is neither a NaN, nor +inf, nor -inf, `false` otherwise.

CPPUNIT_NS_BEGIN bool floatingPointIsUnordered | ( | double | x | ) | `[inline]`

Tests if a floating-point is a NaN.

| hosts this site. |  | Send comments to: CppUnit Developers